Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 512084 - xfce4-session-4.11.0-r1 doesn't build with USE=-udev and missing upower
Summary: xfce4-session-4.11.0-r1 doesn't build with USE=-udev and missing upower
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: XFCE Team
URL: https://bugzilla.xfce.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-01 21:02 UTC by Tomasz Golinski
Modified: 2014-06-02 07:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Golinski 2014-06-01 21:02:49 UTC
xfce4-session-4.11.0-r1 doesn't build with USE=-udev and missing upower packages. It fails on:

checking for upower-glib >= 0.9.8... not found
*** The required package upower-glib was not found on your system.


Reproducible: Always
Comment 1 Samuli Suominen gentoo-dev 2014-06-02 07:06:00 UTC
http://bugzilla.xfce.org/show_bug.cgi?id=9952#c17

Fixed in Portage with a temporary workaround that applies the patch only with USE="udev".